SlunkCrypt
==========

An experimental cryptography library and command-line tool.


Legal Warning
-------------

Use of SlunkCrypt may be illegal in countries where encryption is outlawed. We believe it is legal to use SlunkCrypt in many countries all around the world, but we are not lawyers, and so if in doubt you should seek legal advice before downloading it. You may find useful information at [cryptolaw.org](http://www.cryptolaw.org/), which collects information on cryptography laws in many countries, but we can't vouch for its correctness.


Command-line Usage
------------------

**Synopsis:**

    slunkcrypt --encrypt [[@][:]<passphrase>] <input.txt> <output.enc>
    slunkcrypt --decrypt [[@][:]<passphrase>] <input.enc> <output.txt>

**Commands:**

- **`--encrypt` (`-e`):**  
  Encrypt the plaintext in the given input file. The ciphertext is written to the specified output file.
- **`--decrypt` (`-d`):**  
  Decrypt the ciphertext in the given input file. The plaintext is written to the specified output file.
- **`--self-test` (`-t`):**  
  Run self-test and exit application.

**Options:**
- If `<passphrase>` is prefixed with a **`@`** character, then it specifies the file to read the passphrase from.  
  *Note:* Only the first non-empty line in the specified file is used!
- If `<passphrase>` is prefixed with a **`:`** character, then the leading character is ignored.
- If `<passphrase>` is omitted, then the passphrase is read from the `SLUNK_PASSPHRASE` environment variable.
- If `<passphrase>` is set to **`@-`**, then the passphrase is read from the standard input stream.


License
-------

This work has been released under the **CC0 1.0 Universal** license.

For details, please refer to:  
<https://creativecommons.org/publicdomain/zero/1.0/legalcode>
